Jump to content

[TOPIC: topicViewTemplate]
[GLOBAL: userSmallPhoto]
Photo

New Android Api level 26 requirement from Google
Started by Sheekore May 09 2018 11:01 AM

21 replies to this topic
android api level 26

Best Answer Rob Miracle , 20 September 2018 - 07:04 AM

Corona 3326 and later is compliant.

 

Rob

[TOPIC CONTROLS]
[/TOPIC CONTROLS]
[modOptionsDropdown]
[/modOptionsDropdown]
[reputationFilter]
[TOPIC: post.html]
#1

Sheekore

[GLOBAL: userInfoPane.html]
Sheekore
  • Enthusiast

  • 71 posts
  • Corona SDK

Google Play Console is now placing a warning sign stating to target to Android Api level 26, though strict enforcement will be applied later this year. 

Here is the link to announcement.

When can we expect the update?

Thank you



[TOPIC: post.html]
#2

Rob Miracle

[GLOBAL: userInfoPane.html]
Rob Miracle
  • Moderator

  • 24,743 posts
  • Corona Staff

We don't have an ETA but we understand this is important. It should be well before the Google deadline.

 

Rob


  • Sheekore likes this

[TOPIC: post.html]
#3

appzari

[GLOBAL: userInfoPane.html]
appzari
  • Observer

  • 10 posts
  • Corona SDK

This is the message after updating an app today:
 
Warnings
At this time, your app is oriented to the API 25 level and should be oriented at least at the API 26 level to ensure that it is based on the most recent APIs optimized for security and performance.
 
As of August 2018, new apps should be oriented, at least, to Android version 8.0 (API level 26).
As of November 2018, app updates should be oriented to Android version 8.0 (API level 26).


[TOPIC: post.html]
#4

gsp

[GLOBAL: userInfoPane.html]
gsp
  • Observer

  • 13 posts
  • Corona SDK

I update a new alpha android version and says the same warning:

 

 

Advertencias 

En este momento, tu app está orientada al nivel de API 25 y debe estar orientada por lo menos al nivel de API 26 para garantizar que se base en las API más recientes optimizadas en cuanto a seguridad y rendimiento.

A partir de agosto de 2018, las apps nuevas se deberán orientar, como mínimo, a la versión 8.0 de Android (nivel de API 26).
A partir de noviembre de 2018, las actualizaciones de apps se deberán orientar a la versión 8.0 de Android (nivel de API 26).

Sugerencia: Cambia el nivel de API al que está orientada tu app. Obtén más información.



[TOPIC: post.html]
#5

roaminggamer

[GLOBAL: userInfoPane.html]
roaminggamer
  • Corona Geek

  • 7,119 posts
  • Corona SDK

@gsp

@appzari

 

@ future readers

 

Have patience.  This is well known and Corona staff are working on it. 

 

Just publish for now and and update when Corona gets the new API level support in.


  • Sheekore likes this

[TOPIC: post.html]
#6

anainespereyra

[GLOBAL: userInfoPane.html]
anainespereyra
  • Observer

  • 2 posts
  • Corona SDK

Hi, 

I'm having the same problem and because of this alert I can't publish my app for internal use.

Is this possible?



[TOPIC: post.html]
#7

Rob Miracle

[GLOBAL: userInfoPane.html]
Rob Miracle
  • Moderator

  • 24,743 posts
  • Corona Staff

This alert is not blocking you. Please look for a triangle or triangles in the left side bar and complete missing items.

 

Rob



[TOPIC: post.html]
#8

anainespereyra

[GLOBAL: userInfoPane.html]
anainespereyra
  • Observer

  • 2 posts
  • Corona SDK

Thank you Rob!
You're right.
It's my first time publishing an app.

[TOPIC: post.html]
#9

okko.sr

[GLOBAL: userInfoPane.html]
okko.sr
  • Observer

  • 16 posts
  • Corona SDK

I'm italian so my english is not fantastic!

I can't publish my app on the play store,i can't touch the button " start the implementation"

what i have to do?

i only want to to publish my app on the app store

Thanks man



[TOPIC: post.html]
#10

okko.sr

[GLOBAL: userInfoPane.html]
okko.sr
  • Observer

  • 16 posts
  • Corona SDK

OK i've done it


  • Sheekore likes this

[TOPIC: post.html]
#11

egarayblas

[GLOBAL: userInfoPane.html]
egarayblas
  • Contributor

  • 106 posts
  • Corona SDK

Any update on this? It's already July. :)



[TOPIC: post.html]
#12

Rob Miracle

[GLOBAL: userInfoPane.html]
Rob Miracle
  • Moderator

  • 24,743 posts
  • Corona Staff

We are working on it.

 

Rob



[TOPIC: post.html]
#13

egarayblas

[GLOBAL: userInfoPane.html]
egarayblas
  • Contributor

  • 106 posts
  • Corona SDK

Thank you Rob!



[TOPIC: post.html]
#14

richard.astrom

[GLOBAL: userInfoPane.html]
richard.astrom
  • Observer

  • 12 posts
  • Corona SDK

We've heard rumors that this might have some part in the big drop in downloads on Google Play (we've also been hit very hard by this). So, it would be great if you could get this update out as soon as possible. Thanks!



[TOPIC: post.html]
#15

Rob Miracle

[GLOBAL: userInfoPane.html]
Rob Miracle
  • Moderator

  • 24,743 posts
  • Corona Staff

This should not be a reason for the drop in downloads that many are experiencing. The keyword is "should not". Google keeps their ranking system secret so it's hard to know exactly what they are doing.

 

We recognize this is important and we will be getting this out as soon as we can.

 

Rob



[TOPIC: post.html]
#16

dodi_games

[GLOBAL: userInfoPane.html]
dodi_games
  • Contributor

  • 298 posts
  • Corona SDK

Corona SDK is now API level 27! .. just want to share my happiness.

[TOPIC: post.html]
#17

egarayblas

[GLOBAL: userInfoPane.html]
egarayblas
  • Contributor

  • 106 posts
  • Corona SDK

Same here! Thank you Corona team! :)


  • dodi_games likes this

[TOPIC: post.html]
#18

greg brady

[GLOBAL: userInfoPane.html]
greg brady
  • Contributor

  • 277 posts
  • Corona SDK

great job!!!



[TOPIC: post.html]
#19

dislam

[GLOBAL: userInfoPane.html]
dislam
  • Contributor

  • 178 posts
  • Corona SDK

Just to confirm, our existing apps in Google Play are fine as they are, correct?  We don't need to rebuild them with API Level 26 support *unless* we make updates from August onwards?



[TOPIC: post.html]
#20

Rob Miracle

[GLOBAL: userInfoPane.html]
Rob Miracle
  • Moderator

  • 24,743 posts
  • Corona Staff

If you look only at the Google requirement that new apps use API 26+ by August 1, then no, you don't need to update. Those apps will be fine. Any new apps after August 1 have to support API level 26+. Updated apps have to support API 26+ at some point afterward, but existing apps do not have to be updated.

 

Now that said, Google has made changes to their "Vitals" program that tracks apps that don't respond, crash, etc. Apps that crash too often or don't respond can get down-ranked. This public release helps improve your apps with regards to Google Vitals, in particular, if you're using ad plugins so you may want to update regardless.

 

Rob



[TOPIC: post.html]
#21

Aatos Media

[GLOBAL: userInfoPane.html]
Aatos Media
  • Contributor

  • 126 posts
  • Corona SDK

As I understood the notice in Google Play Console, we all have to update apps before 1st November:

 

Any new apps or app updates published after this change must adhere to these policies. If you have an existing app that's not compliant, you'll need to fix and resubmit the app within 30 days.

 



[TOPIC: post.html]
#22

Rob Miracle

[GLOBAL: userInfoPane.html]
Rob Miracle
  • Moderator

  • 24,743 posts
  • Corona Staff

  Best Answer

Corona 3326 and later is compliant.

 

Rob




[topic_controls]
[/topic_controls]